For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search

Lists search views.

get

Returns a list of all search views, also known as search filters, matching the given search criteria. Only search views the logged in user has access to are listed.

Authorizations
AuthorizationstringRequired

Collibra REST API authentication using Basic Authentication.

Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
namestringOptional

The search term for a search view to retrieve.
The query is case sensitive and does not support wildcards.
Use in conjunction with nameMatchMode.

nameMatchModestring · enumOptional

The match requirements for name queries.
Works in conjunction with name. The search is case-sensitive.

Default: ANYWHEREExample: STARTPossible values:
sortFieldstring · enumOptional

The reference field for sorting the results.

Default: NAMEExample: NAMEPossible values:
sortOrderstring · enumOptional

The order in which the results are sorted.

Default: ASCPossible values:
locationstringOptional

The location for a search view to retrieve.

Responses
200

The list of returned search views.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/search/views
200

The list of returned search views.

Returns the details of an existing search view.

get

Returns the details of a search view, also known as a search filter, identified by the given ID.

Authorizations
AuthorizationstringRequired

Collibra REST API authentication using Basic Authentication.

Path parameters
viewIdstring · uuidRequired

The ID of the search view to be queried.

Responses
200

The details of the returned search view.

application/json

A response with search view details.

idstring · uuidOptional

The search view ID.

Example: 0534b012-651a-468a-bded-eb52c78216f1
namestringOptional

The search view name.

descriptionstringOptional

Optional search view description.

get/search/views/{viewId}
200

The details of the returned search view.

Search.

post

Performs a search and returns a list of resources which meet the search criteria defined in the request body.

Authorizations
AuthorizationstringRequired

Collibra REST API authentication using Basic Authentication.

Body

The search criteria.

keywordsstring · min: 1 · max: 1000Optional

The search term.
The field is mandatory and cannot be empty. You can use optional wildcards and quotes. No asterisk "*" wildcard will be automatically added for REST calls.

Example: issue
sortFieldstring · enum · nullableOptional

The reference field for sorting the results.

Default: RELEVANCEExample: RELEVANCEPossible values:
sortOrderstring · enum · nullableOptional

The order in which the results are sorted. The default order when sorting by NAME is ascending (ASC). The default order when sorting by other fields is descending (DESC).

Example: DESCPossible values:
limitinteger · int32 · max: 1000 · nullableOptional

The number of search results to present in the response. If set to 0, only aggregations are performed. Negative values are not possible. If not set, the default limit is used. The maximum possible value is 1000. In conjunction with offset, this field provides a method to paginate the results. The sum of limit and offset cannot exceed 10000.

Default: 20Example: 50
offsetinteger · int32 · max: 10000 · nullableOptional

The number of first search results to skip in the response. Negative values are not possible. If not set or set to 0, no results are skipped. In conjunction with limit, this field provides a method to paginate the results. The sum of limit and offset cannot exceed 10000.

Default: 0Example: 0
productstring · enum · nullableOptional

Optional criteria to apply on PRODUCT property of the document to narrow down the search results.

Possible values:
dataMarketplaceContextboolean · nullableOptional

Indicates that the search is issued from the Data Marketplace experience.

Default: false
Responses
200

Search successfully performed.

application/json

The response with search query results.

totalinteger · int32Optional

The total number of resources matching the search criteria, ignoring pagination (limit and offset).

Example: 12983
post/search
200

Search successfully performed.

Last updated

Was this helpful?